Subject: bug#19453: closed (Re: bug#17352: .emacs.desktop has become unportable between GUI and TTY.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 29 Sep 2017 18:13:04 +0000

Your bug report

#17352: Bad interaction between daemon mode and desktop-save-mode

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
17352: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=17352
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#17352: .emacs.desktop has become unportable between GUI and TTY.
From: Eli Zaretskii <[email-masked]>
To: Kaushal Modi <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Fri, 29 Sep 2017 21:12:05 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Kaushal Modi <[email-masked]>
> Date: Fri, 29 Sep 2017 17:06:36 +0000
> Cc: [email-masked]
> 
> Thank you!
> 
> I confirm this fix.
> 
> How I tested:
> 
> 1. Open emacsclient -nw& 
> 2. Quit (my config saves desktop when quitting) i.e. kill emacs completely
> 3. Verify that the desktop file got updated
> 4. Open emacsclient &
> 5. Starts up without that "Error (frameset): Font ‘tty’ is not defined" error
> 
> I believe you can mark this as done now.

Thanks, done.

Subject: Bad interaction between daemon mode and desktop-save-mode
From: David Fiander <[email-masked]>
To: [email-masked]
Date: Sat, 27 Dec 2014 08:25:13 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

This seems to be related to bugs 17957, 17963, and 7352.

In a terminal window, run

	$ emacs -Q -daemon

then run

	$ emacsclient -n -c

In the new emacs window, execute

	(desktop-save-mode 1)
	(kill-emacs)

and answer 'y' when asked if you want to save the desktop.

Back in the terminal, run

	$ emacs

(note that the daemon is already dead). Emacs will create a new 
graphical frame. This frame may display the warning

	Error (frameset): Font `tty' is not defined

And, according to the modeline, it will claim to be an emailclient 
frame, even though it's not. The problem is that the desktop save file 
saved the setting

	(client . nowait)

In general, I think that the problem is that certain parts of the emacs 
state are being saved (or restored, depending on your point of view) in 
the desktop file that shouldn't necessarily be, since they're tied to 
the method of invocation more than to the user's specific preferences.

- David